net.i2p.router.transport.ntcp

## Class Reader

- java.lang.Object
- - net.i2p.router.transport.ntcp.Reader

     class Reader
    extends Object

Pool of running threads which will process any read bytes on any of the NTCPConnections, including the decryption of the data read, connection handshaking, parsing bytes into I2NP messages, etc.

### Constructor Summary

Constructors
Constructor and Description
`Reader(RouterContext ctx)`

### Method Summary

Methods
`void` `connectionClosed(NTCPConnection con)`
`void` `startReading(int numReaders)`
`void` `stopReading()`
`void` `wantsRead(NTCPConnection con)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Reader

    public Reader(RouterContext ctx)

### Method Detail

#### startReading

    public void startReading(int numReaders)

#### stopReading

    public void stopReading()

#### wantsRead

    public void wantsRead(NTCPConnection con)

#### connectionClosed

    public void connectionClosed(NTCPConnection con)